package mg.dot.feufaro.viewmodel

import cafe.adriel.voyager.core.model.ScreenModel
import mg.dot.feufaro.solfa.Solfa

class SolfaScreenModel(
    private val solfa: Solfa
) : ScreenModel {
    init {}

    fun loadNextInPlaylist() {
        solfa.loadNextInPlaylist()
    }

    fun reload() {
        solfa.loadSolfa()
    }

    fun loadCustomFile() {
        solfa.loadFile()
    }
    fun loadFromFile(path: String) {
        solfa.parse(path)
    }
}